//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package nc.pubimpl.pu.m422x.ic.m4455;

import nc.bs.pu.m422x.query.QueryFor4455BP;
import nc.bs.pu.m422x.query.QueryFor4455BP1;
import nc.pubitf.pu.m422x.ic.m4455.IQuery422XFor4455;
import nc.ui.querytemplate.querytree.IQueryScheme;
import nc.vo.mmpac.pickm.entity.AggPickmVO;
import nc.vo.pu.m422x.entity.StoreReqAppVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class Query422XFor4455Impl implements IQuery422XFor4455 {
    public Query422XFor4455Impl() {
    }

    @Override
    public StoreReqAppVO[] queryStoreReqAppsFor4455(IQueryScheme queryScheme) throws BusinessException {
        try {
            return (new QueryFor4455BP(queryScheme)).queryStoreReqVOs();
        } catch (Exception e) {
            ExceptionUtils.marsh(e);
            return null;
        }
    }

    @Override
    public AggPickmVO[] queryPickmAppsFor4455(IQueryScheme queryScheme) throws BusinessException {
        try {
            return (new QueryFor4455BP1(queryScheme)).queryPickmReqVOs();
        } catch (Exception e) {
            ExceptionUtils.marsh(e);
            return null;
        }
    }
}
